# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [v0.3.0](https://github.com/ljharb/repo-report/compare/v0.2.1...v0.3.0) - 2024-03-07

### Commits

- [Refactor] minor tweaks [`8866521`](https://github.com/ljharb/repo-report/commit/8866521f06b544c6e25ad676b0806339f1532d33)
- [Fix] replace deprecated `squashPrTitleUsedAsDefault` with `squashMergeCommitTitle` [`583ed69`](https://github.com/ljharb/repo-report/commit/583ed6947fe31e4330f2d18b31abf7625db1d4a0)
- [Deps] update `@octokit/graphql`, `minimist`, `mkdirp` [`8582c50`](https://github.com/ljharb/repo-report/commit/8582c50283e8b22ae461f9d341e6259a38f22694)
- [Deps] update `@octokit/graphql`, `dotenv`, `minimatch` [`e121298`](https://github.com/ljharb/repo-report/commit/e1212988ff989407a1e340ec0bdfe899b55ae239)
- [Dev Deps] update `aud`, `npmignore`, `tape` [`59498f0`](https://github.com/ljharb/repo-report/commit/59498f0a485c62bcc4375c04a2b126d8d931808a)
- [Breaking] require node 18 [`1bd67a3`](https://github.com/ljharb/repo-report/commit/1bd67a3a40f6b18c63ec69b06279cd968f6518c3)
- [patch] drop perPage to 20 due to a Github API perf regression [`393975c`](https://github.com/ljharb/repo-report/commit/393975ca809b9019b65af9665e6d20e59085bfd9)
- [Fix] print a newline after loading dots, before table [`2bf0c88`](https://github.com/ljharb/repo-report/commit/2bf0c88e30b9ccd2cdeebe5d19e513ac95357028)

## [v0.2.1](https://github.com/ljharb/repo-report/compare/v0.2.0...v0.2.1) - 2023-11-06

### Fixed

- [New] add `CodeOfConduct` metric [`#72`](https://github.com/ljharb/repo-report/issues/72)
- [New] add "DiscussionsEnabled" [`#78`](https://github.com/ljharb/repo-report/issues/78)
- [New] add "WebCommitSignoffRequired" [`#89`](https://github.com/ljharb/repo-report/issues/89)

### Commits

- [Fix] add retry of 1/10th the page size on a timeout [`71b3d04`](https://github.com/ljharb/repo-report/commit/71b3d04e4a6d4cab83a232572190895071ffffc3)
- [Dev Deps] update `@ljharb/eslint-config`, `aud`, `ha, `tape` [`eca7d34`](https://github.com/ljharb/repo-report/commit/eca7d34e88fb4bd84c15f852955fac312ca0c63d)
- [Deps] update `dotenv`, `yargs` [`6b5f969`](https://github.com/ljharb/repo-report/commit/6b5f9694f790ede21284a6917eb8f92295209ec2)
- [Deps] update `yargs` [`b6d4d72`](https://github.com/ljharb/repo-report/commit/b6d4d72fcd4a8c6e6bfc3a62ce6e299c5bc022f4)
- [Dev Deps] remove unused dev dep [`1fc2365`](https://github.com/ljharb/repo-report/commit/1fc2365a3ef8d53f6149e85d46de6bca671df24e)

## [v0.2.0](https://github.com/ljharb/repo-report/compare/v0.1.3...v0.2.0) - 2022-10-27

### Merged

- [New] add `SquashPrTitleUsedAsDefault` metric [`#87`](https://github.com/ljharb/repo-report/pull/87)

### Fixed

- [New] add `SquashPrTitleUsedAsDefault` metric [`#84`](https://github.com/ljharb/repo-report/issues/84)
- [New] add metric: branch protections restrict the source [`#62`](https://github.com/ljharb/repo-report/issues/62)

### Commits

- [Refactor] `getRepositories`: fix query whitespace [`4daaa5b`](https://github.com/ljharb/repo-report/commit/4daaa5b42753c5d3378fe403254af4c96f69ec2e)
- [meta] use `npmignore` to autogenerate an npmignore file [`042d315`](https://github.com/ljharb/repo-report/commit/042d315777881e6a936a99cac42838e86671fb0b)
- [Tests] refactor fixtures a bit [`05e1eab`](https://github.com/ljharb/repo-report/commit/05e1eabefc6cca1a4f0d16f2aeffd60a6dfb7b7d)
- [Refactor] metrics schema: consolidate two sources of truth into one [`c005265`](https://github.com/ljharb/repo-report/commit/c0052655d7bc450363d1be41eb1cc126749da318)
- [Tests] make it easier for fixtures to have different column headers [`c738a2d`](https://github.com/ljharb/repo-report/commit/c738a2db5380435e52a869b53cdd7b16abf68556)
- [Tests] use actual metric data instead of repeating it [`42717af`](https://github.com/ljharb/repo-report/commit/42717af0995a9d7ec28004a749eb244255c5ae35)
- [Fix] Fix metric: security policy [`f3104ec`](https://github.com/ljharb/repo-report/commit/f3104ec855e46134380402e60356c5f1eb124b43)
- [Tests] fix whitespace in metricsConfig.json [`18cc0b9`](https://github.com/ljharb/repo-report/commit/18cc0b94fa848f581f2d9e9f8c796de50d756067)
- [Tests] add `--actual --goodness` table fixture [`eebcf2b`](https://github.com/ljharb/repo-report/commit/eebcf2bea367116e981d1dc4ad72e00c2df9e33e)
- [meta] add `sideEffects` flag, `funding`, `FUNDING.yml` [`fada250`](https://github.com/ljharb/repo-report/commit/fada2500f6c6d696f81cd71ff2a9a17b54de2750)
- [Refactor] `symbols.ignore` is the shrug, `symbols.unactionable` is "nope" [`f47d647`](https://github.com/ljharb/repo-report/commit/f47d64749bc90e542b1ab9b2181bf47218bd87f3)
- [New] add `loadingIndicator` helper, and use while fetching repositories [`f074afe`](https://github.com/ljharb/repo-report/commit/f074afe10e66dbbf390875c752dd0b8965bd956e)
- [patch] add visible default for `--config` [`e9a6067`](https://github.com/ljharb/repo-report/commit/e9a6067616b046dedee85d9ee024bfb97c33956e)
- [actions] update rebase action [`c531889`](https://github.com/ljharb/repo-report/commit/c5318890d14dca3927dce24dd648d13e519de7eb)
- [Deps] update `jsonschema`, `yargs` [`b30b08f`](https://github.com/ljharb/repo-report/commit/b30b08fe7dd67e53119667b89071f83ce016a402)
- [Tests] use actual metric data instead of repeating it [`9d47376`](https://github.com/ljharb/repo-report/commit/9d4737696effbe1c1ac1dca7e948def176268e1e)
- [Fix] `getDiffSymbol`: handle `null` or an array that has `null` [`a7f55c9`](https://github.com/ljharb/repo-report/commit/a7f55c9de7b89098ddfddf759df18a028ce32370)
- [Deps] update `@octokit/graphql`, `minimatch`, `yargs` [`39a0d6e`](https://github.com/ljharb/repo-report/commit/39a0d6ed08892c112a72e24d735b79fb0e48febe)
- [Refactor] metrics: use a boxed string for an empty sentinel [`c5ef4ca`](https://github.com/ljharb/repo-report/commit/c5ef4caf669874782bbdc9cc737bae984982fdf9)
- [Deps] update `yargs` [`539dff3`](https://github.com/ljharb/repo-report/commit/539dff39099477b6cbe739cdebc417356c6d2dce)
- [Dev Deps] update `aud`, `tape` [`c89ba63`](https://github.com/ljharb/repo-report/commit/c89ba6346d530a065b4af8453d6b8a971c3146e3)
- [Dev Deps] update `@ljharb/eslint-config`, `tape` [`4148d89`](https://github.com/ljharb/repo-report/commit/4148d89531fac5a46eab75fa549db6fe5e30ab20)
- [Deps] update `dotenv` [`0088c2e`](https://github.com/ljharb/repo-report/commit/0088c2eb6b335908285bdee9b773f5c21b99a637)
- [Deps] update `yargs` [`bc899e3`](https://github.com/ljharb/repo-report/commit/bc899e372ff7f90eea79f44ba34d52f04f42bf50)

## [v0.1.3](https://github.com/ljharb/repo-report/compare/v0.1.2...v0.1.3) - 2022-02-25

### Commits

- [Refactor] extract `getRepositories` function to its own file [`b2ff28a`](https://github.com/ljharb/repo-report/commit/b2ff28a97e1f3c505590da9126286cbd57d2d11c)
- [Fix] send config file logging to stderr [`991465b`](https://github.com/ljharb/repo-report/commit/991465b27a54057dba59db3ee26699ac5d26e483)
- [Fix] move `--names` into `repo-report ls`, which was broken [`344d8f7`](https://github.com/ljharb/repo-report/commit/344d8f7184cf2e4b64de2c1bbc81b7b09aa2cee0)
- [New] add `--names` option to only output the list of repositories-with-their-owner [`8d97bd6`](https://github.com/ljharb/repo-report/commit/8d97bd60433a057eeef0da1e5c9fb54bbe0e7984)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `aud`, `auto-changelog`, `tape` [`1b5eb6c`](https://github.com/ljharb/repo-report/commit/1b5eb6c7d9a238dca0b665437ad3adab674b1db7)
- [Deps] update `minimatch` [`01158a2`](https://github.com/ljharb/repo-report/commit/01158a2e9ce1db3081075b5f40f6d3b4af9de110)

## [v0.1.2](https://github.com/ljharb/repo-report/compare/v0.1.1...v0.1.2) - 2022-01-09

### Commits

- [Fix] pin `colors` [`656f189`](https://github.com/ljharb/repo-report/commit/656f18996b58d37f527f1b72320b57d57f441ae0)

## [v0.1.1](https://github.com/ljharb/repo-report/compare/v0.1.0...v0.1.1) - 2022-01-01

### Commits

- [Tests] refactor tests into separate files [`84be13a`](https://github.com/ljharb/repo-report/commit/84be13afc9770b94d7d8a83f736818f156f3918d)
- [Tests] validate metric configs [`84f141e`](https://github.com/ljharb/repo-report/commit/84f141e3d0b3aba9d5fea79bda6b2a9bf5d20e17)
- [actions] reuse common workflows [`3671010`](https://github.com/ljharb/repo-report/commit/3671010ec5d6e8834efef4d366783edee8415c2c)
- [readme] update instructions [`ed1cf9a`](https://github.com/ljharb/repo-report/commit/ed1cf9a474c198cf502b2cfb39ab513b2714b3fc)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config` [`5d708fd`](https://github.com/ljharb/repo-report/commit/5d708fd76cc65b460f4ef6c9177129a8bd15922c)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `tape` [`84252f7`](https://github.com/ljharb/repo-report/commit/84252f7096c4d10a564545f4e07c05ba88d0157c)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config` [`06ed1ec`](https://github.com/ljharb/repo-report/commit/06ed1ece6b451b2b5aff1422468009dd7082126b)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config`, `tape` [`2eb2ce2`](https://github.com/ljharb/repo-report/commit/2eb2ce21acfe562f6764b4e23a0139ed8026ce4b)
- [Refactor] omit `.js` from requires [`b2be8e3`](https://github.com/ljharb/repo-report/commit/b2be8e336c04bd06737655890f1f64b38f5875ac)
- [Deps] update `cli-table`, `yargs` [`3af5e9c`](https://github.com/ljharb/repo-report/commit/3af5e9c4fed75c22bd2f84ebc555c41a4ef2ab66)
- [Deps] update `yargs` [`98a087d`](https://github.com/ljharb/repo-report/commit/98a087de48d9dd27e0620424490c1b047a3a63bd)
- [Deps] update `cli-table` [`49e2d4b`](https://github.com/ljharb/repo-report/commit/49e2d4bce2e66358ebfd7faa041fcab6ca5f9086)
- [Fix] fix percentage calculations [`e401a84`](https://github.com/ljharb/repo-report/commit/e401a840bba071cce7c7fa289ae0a1c84af97c64)

## v0.1.0 - 2021-10-28

### Merged

- Update detail command [`#36`](https://github.com/ljharb/repo-report/pull/36)
-  Add test to project [`#33`](https://github.com/ljharb/repo-report/pull/33)
- Update config schema [`#34`](https://github.com/ljharb/repo-report/pull/34)
- Use config file to add new flags to detail [`#32`](https://github.com/ljharb/repo-report/pull/32)
- update config data exported [`#31`](https://github.com/ljharb/repo-report/pull/31)
- Validate config file [`#30`](https://github.com/ljharb/repo-report/pull/30)
- Add config file [`#29`](https://github.com/ljharb/repo-report/pull/29)
- Major code refactor and add detail command [`#28`](https://github.com/ljharb/repo-report/pull/28)
- Handle token validation with yargs [`#19`](https://github.com/ljharb/repo-report/pull/19)
- Add pr-status command [`#22`](https://github.com/ljharb/repo-report/pull/22)
- Feature sorting [`#17`](https://github.com/ljharb/repo-report/pull/17)
- Feature list branch protections on def branch [`#12`](https://github.com/ljharb/repo-report/pull/12)
- Add options settings [`#6`](https://github.com/ljharb/repo-report/pull/6)
- Set up Yargs and add list command [`#7`](https://github.com/ljharb/repo-report/pull/7)
- Migrate to Yargs and update eslint config [`#2`](https://github.com/ljharb/repo-report/pull/2)
- Add list command [`#1`](https://github.com/ljharb/repo-report/pull/1)

### Fixed

- [New] Add statistics as percentages for the --all flag [`#14`](https://github.com/ljharb/repo-report/issues/14)
- [New] add `requiresConversationResolution` metric [`#39`](https://github.com/ljharb/repo-report/issues/39)

### Commits

- [Cleanup] Remove unused commands #44 [`369e30f`](https://github.com/ljharb/repo-report/commit/369e30f1ba05df5e3552516c077031ad6c0213b8)
- Refactor: move metrics to a single file; rename fields to metrics [`0e9ad51`](https://github.com/ljharb/repo-report/commit/0e9ad51b8d1cddc8ce3f8aa610490e9985faa858)
- add workflows and remove the run.test file [`38ecb07`](https://github.com/ljharb/repo-report/commit/38ecb07b042cb31218541cbfc4f4c0a72dc36a79)
- [Test] move some fixtures to JSON files [`f959e72`](https://github.com/ljharb/repo-report/commit/f959e72485fc1fc84fb0efcee579a5b9068d80c8)
- [Refactor] extract metrics to a single source of truth [`abee508`](https://github.com/ljharb/repo-report/commit/abee508d6b754d4de26a1a85313e368bedbc3df8)
- [Refactor] use `yargs.commandDir` [`6333437`](https://github.com/ljharb/repo-report/commit/63334378ad327cc3121646d6378832f5ebb32b4b)
- Add row-collapse [`ecddef1`](https://github.com/ljharb/repo-report/commit/ecddef1dc20887a754f20795e65f985b39faa363)
- [New] Add support for user defined configs #38 [`88fa381`](https://github.com/ljharb/repo-report/commit/88fa38107c0a29c0c1d7594fa64d98f129b2b5d7)
- [meta] do not publish github action workflow files [`b390825`](https://github.com/ljharb/repo-report/commit/b390825a29327063e3a365379e5ec934b0bde4f2)
- [eslint] clean up `./bin/run` [`5a59ff7`](https://github.com/ljharb/repo-report/commit/5a59ff73e68699b2ed4deb4b33f9db5ea623397c)
- fix(test/utils.test.js): update unit test in utils.test.js [`5861bfc`](https://github.com/ljharb/repo-report/commit/5861bfcaf4f0ae0312314aac8c4ad984fb97b6c7)
- Add code suggestions [`797667d`](https://github.com/ljharb/repo-report/commit/797667d3141bc508ff6bc9c4abace2601752c83d)
- [Dev Deps] update `eslint`, `@ljharb/eslint-config` [`bf10a8a`](https://github.com/ljharb/repo-report/commit/bf10a8ab9d7f152665ba27c235d82716dcf81503)
- [Fix] tweak yargs usage; add checks [`95e5b42`](https://github.com/ljharb/repo-report/commit/95e5b425cf51f43d8f48650644e31e5911bc2915)
- update the schema for license [`dc3e951`](https://github.com/ljharb/repo-report/commit/dc3e951b0e8d6f518950c734b2cc3042b7a25603)
- [New] Add focus option to detail [`abcc560`](https://github.com/ljharb/repo-report/commit/abcc5607c48be0185f51884927ea0884c57a2ccf)
- update fixtures [`d6de4d5`](https://github.com/ljharb/repo-report/commit/d6de4d52e9ab61b22f2efb6487ed98e34e5d89cc)
- update packagejson [`53aa604`](https://github.com/ljharb/repo-report/commit/53aa604869e43272378138569e83e00db79f1246)
- update detail and list in accessing nested variables [`1a69c53`](https://github.com/ljharb/repo-report/commit/1a69c5364c57e223f8ae12abb24f4d88dc743d22)
- [Refactor] move metric comparison methods and "dontPrint" into source of truth; refactor some extracts [`2c2bb4d`](https://github.com/ljharb/repo-report/commit/2c2bb4d28c3a46aa7f1ee8d231e91524e2b878dc)
- update nodeymml [`412594e`](https://github.com/ljharb/repo-report/commit/412594ebb59421704c2a5fd69806faa14d85da35)
- fix(src/utils.js): update utils file with fetchData, generateTableData and create table [`b8b91ee`](https://github.com/ljharb/repo-report/commit/b8b91eeec380793260c011be5a5f788b18372df2)
- [Fix] Allow `null` config values [`611e7d8`](https://github.com/ljharb/repo-report/commit/611e7d8f8fca7ae5bad87936b9785df74fac8f51)
- Add overrides and ignore [`ec5d15b`](https://github.com/ljharb/repo-report/commit/ec5d15bd96c15693af5b72f60dc12a991755a6a7)
- [eslint] fix quote-props rule [`578d81f`](https://github.com/ljharb/repo-report/commit/578d81fa1732cabc2c05eb3b5b538017258e0e5d)
- fix(test/fixtures/fixtures.js): update fixtures in the test [`eebef2b`](https://github.com/ljharb/repo-report/commit/eebef2b33153547f8c1fd5e46dd40d44750c37a4)
- Add support to match * globs [`7c7334f`](https://github.com/ljharb/repo-report/commit/7c7334f82b737aaeb489c37ca4558b9b8b20df88)
- [Refactor] Remove `log-symbols` [`2d63154`](https://github.com/ljharb/repo-report/commit/2d631540fa9e46d4011f048ba029379dac1334a9)
- [Refactor] change `GITHUB_PAT` to `GH_TOKEN` or `GITHUB_TOKEN` [`e94d616`](https://github.com/ljharb/repo-report/commit/e94d616df1961be3900dbe1b4c2e9ae1378a8e88)
- [New] add `--cacheDir`; default to `XDG_CACHE_DIR` or `$HOME` [`479ae81`](https://github.com/ljharb/repo-report/commit/479ae816fa5d83faf598f04d1441273c7eedea5b)
- convert from spaces to tabs [`484de34`](https://github.com/ljharb/repo-report/commit/484de34bfbef87c8ef7101e03b92625fea0db9cc)
- fix(*):update the schema [`ad13f46`](https://github.com/ljharb/repo-report/commit/ad13f46c0e27218d7fb63019c7590dee878d4eda)
- [New] Add cache [`eca2ef9`](https://github.com/ljharb/repo-report/commit/eca2ef9e1a10c1dbc34395124a466192c409fe6a)
- Add --pick flag for detail [`2fae5b2`](https://github.com/ljharb/repo-report/commit/2fae5b298146479a830461008a2000c9e0952f59)
- [Refactor] `getMetrics` should be a solo export [`42892cf`](https://github.com/ljharb/repo-report/commit/42892cfeef2d0f5e789c92262c0e1c163f947902)
- [readme] add badges, clean up formatting [`afa8464`](https://github.com/ljharb/repo-report/commit/afa8464e73b350b78f5a3cb3adc066273439b81d)
- update config validation [`2803f74`](https://github.com/ljharb/repo-report/commit/2803f740352710231469f9c0bac80fe3d6cddaa6)
- update fixtures with tablecolumns [`699d472`](https://github.com/ljharb/repo-report/commit/699d4723c366ffba67190cbaad539a013cf7bd15)
- update list, detail and branch protection to use optional chaining [`9095ab8`](https://github.com/ljharb/repo-report/commit/9095ab88bf0df80a0a8a1f7562439d50da92e2c1)
- Fix collapse bugs and add null support to config [`b15e074`](https://github.com/ljharb/repo-report/commit/b15e0749ba0e6aace84a7a772bbe6a9692b39f50)
- update config schema [`ff6602b`](https://github.com/ljharb/repo-report/commit/ff6602b89b50babd3fb70cbdac462c1738ecc479)
- [Refactor] some minor cleanup [`de9bad3`](https://github.com/ljharb/repo-report/commit/de9bad3bd97a1e10b4f5d3635bad59f63c5c17a2)
- Update fallback values [`f491f8b`](https://github.com/ljharb/repo-report/commit/f491f8b126c278aa796ee5c95a042e9067211adf)
- Add permissions for each field to show actionable items [`7861922`](https://github.com/ljharb/repo-report/commit/7861922a8cd150c3777c30cfdf8cf48dbfe0d104)
- [Refactor] clean up mixed tabs/spaces [`0bfc940`](https://github.com/ljharb/repo-report/commit/0bfc940fbae18bdf34935fad5936b5507900d00c)
- Add focus config [`bd1fc71`](https://github.com/ljharb/repo-report/commit/bd1fc711fed634f2ccedec7530e36bf674071eb4)
- [Refactor] remove `--metrics`, add `metrics` command [`922f15c`](https://github.com/ljharb/repo-report/commit/922f15c465d47cf75615bc8ab56123046b88ad94)
- fix schema error no such schema [`f2b6496`](https://github.com/ljharb/repo-report/commit/f2b64960df8e7000b54a517d71b2184248e160ac)
- [meta] add `auto-changelog` [`0c4cc08`](https://github.com/ljharb/repo-report/commit/0c4cc0837392963ea3ff806997bdd5a0f5092d36)
- unit test [`8674218`](https://github.com/ljharb/repo-report/commit/86742180643a72065902944dff18a23684815648)
- [Update] Change default filters for `detail` [`9cb4ed9`](https://github.com/ljharb/repo-report/commit/9cb4ed991760971bc9fcde707f4e6baadafa2f70)
- [Refactor] with `--pick`, ensure that metric names are unique [`380c3b7`](https://github.com/ljharb/repo-report/commit/380c3b7ef1bc0e09aa185e2d2af5530f1cfbfc31)
- update utils test [`6d8918c`](https://github.com/ljharb/repo-report/commit/6d8918c5c5bb3d1c61c8eec239e8385a612b822d)
- Add --actionable flag [`5032608`](https://github.com/ljharb/repo-report/commit/5032608dcfb3cfa72dffaab49176b47a7a3b498b)
- update test for the run command [`bda135a`](https://github.com/ljharb/repo-report/commit/bda135a35c969a9ff502bec2a67cf1c10f4696a6)
- [readme] remove original prompt [`5b49fa2`](https://github.com/ljharb/repo-report/commit/5b49fa237ee731d7afb23ddeae790fcca9743d62)
- [Fix] fix typo from #60 [`4e85f4c`](https://github.com/ljharb/repo-report/commit/4e85f4ce9bb1a1fa914e9dea22400b1b2a8e5b90)
- [Dev Deps] update `aud`, `tape`; use `^` [`df468b2`](https://github.com/ljharb/repo-report/commit/df468b21d7f66f90d47b1ff0fd1bbfe03b381195)
- [Fix] stats: count repos, not just rows [`5afa876`](https://github.com/ljharb/repo-report/commit/5afa8762b7193ef044f0fe17f84dfac5d2de1b43)
- [Refactor] small tweaks [`dac80ef`](https://github.com/ljharb/repo-report/commit/dac80efc4f789d3a7f9bd5fe22329c80b9c86129)
- [Tests] remove unnecessary JSON stringification [`c91eafd`](https://github.com/ljharb/repo-report/commit/c91eafdff3b7bbf8fe8efcdae471bd87107d167d)
- [Deps] update `@octokit/graphql`, `cli-table`, `dotenv`, `log-symbols`, `yargs` [`d5edeb6`](https://github.com/ljharb/repo-report/commit/d5edeb6c2fe933d105a33ae670f4da4290512c0b)
- [Fix] `detail`: overrides repos use "any" semantics, not "every" semantics [`81d183f`](https://github.com/ljharb/repo-report/commit/81d183fc5a2f7270d6173bc4a13d180660dc9b9d)
- fixup: Default `focus` and `ignore` [`25733bd`](https://github.com/ljharb/repo-report/commit/25733bd50fca1b4eced3dcfb96a40b6b668cfa62)
- update node-4.yml to use the codecov action [`05e5178`](https://github.com/ljharb/repo-report/commit/05e517815362c801bdfeb1bc22eec60cbc1ae699)
- update package.json with engines [`b591e7d`](https://github.com/ljharb/repo-report/commit/b591e7d94aa54f9024b83e69366aea14599fa53c)
- Sort rows by error count [`00d3c70`](https://github.com/ljharb/repo-report/commit/00d3c70e7cbe6c32571a22b7d40b0e8886545f79)
- Stringify output [`cb556ae`](https://github.com/ljharb/repo-report/commit/cb556aec6efcf9236aee8faf297a4bcbf1b42c5b)
- [New] add `AllowsForking` metric [`1240260`](https://github.com/ljharb/repo-report/commit/12402603dc1b737caf016e1acea1f6fb3352459c)
- [New] add `AutoMergeAllowed` metric [`d7cb756`](https://github.com/ljharb/repo-report/commit/d7cb756e91d8ea1ad3b17ddd39511d25c8f94d10)
- [meta] Only apps should have lockfiles [`7719269`](https://github.com/ljharb/repo-report/commit/771926980898a5789e465b62716f5a8a820bdce8)
- [Fix] call `getRepositories` with `flags` to pass `token` [`f091e8b`](https://github.com/ljharb/repo-report/commit/f091e8bbc38550198dd3f1350830177355fd4124)
- test update of node version [`9a21a22`](https://github.com/ljharb/repo-report/commit/9a21a222c2094cd2ab1268f9f3fb00e13935a4da)
- update packagejson with the posttest script and the aud dev dependency [`dad58a3`](https://github.com/ljharb/repo-report/commit/dad58a35484f4a33b46e89bf15580225763a4a28)
- update mocks [`a15c0af`](https://github.com/ljharb/repo-report/commit/a15c0af767cf7a47bb26770ba5d113d2d549bdcc)
- [meta] add "exports"; disable "main" [`44f71c0`](https://github.com/ljharb/repo-report/commit/44f71c07b49033fbea6c938d607cc3b008379db6)
- Remove unused func param [`fc0143b`](https://github.com/ljharb/repo-report/commit/fc0143b555e82d1e2d04452ead83f569f7e70a8d)
- [Fix] metrics: `AllowsForking` and `ReqConversationResolution`  extract methods had inverted logic [`d15d73b`](https://github.com/ljharb/repo-report/commit/d15d73be6efba9cf2695c543ca7eb7087521475f)
- [meta] add `safe-publish-latest` [`5713e19`](https://github.com/ljharb/repo-report/commit/5713e19112e9e72f962c96c7391494ba9f5e5ae4)
- [actions] update codecov uploader [`ec9468a`](https://github.com/ljharb/repo-report/commit/ec9468a23003a51f4736444b91f5d1d5c79712a8)
- Add default sort with updatedAt to detail [`01a1dc9`](https://github.com/ljharb/repo-report/commit/01a1dc90d04016a96c70103100f027df26799455)
- update the validation for array [`c86fb0a`](https://github.com/ljharb/repo-report/commit/c86fb0ac0192c0964062228da246af25f4e9605d)
- [Refactor] `bin/run`: consolidate env vars [`d648ee1`](https://github.com/ljharb/repo-report/commit/d648ee176ca5f78b4a238ad14a4124192e1bdc09)
- [eslint] Add `bin/run` to `lint` script [`727d5a1`](https://github.com/ljharb/repo-report/commit/727d5a17dfd2527204b0c1c34bd913c3d2ed4fb4)
- [Refactor] Add unactionable symbol (🤷) [`0b0f26b`](https://github.com/ljharb/repo-report/commit/0b0f26b5da198b5ef45c4d118fdb2f88925a13d5)
- fix(package.json): update dependencies in packagejson [`462df28`](https://github.com/ljharb/repo-report/commit/462df280a25134a4b73bd3543449f3e5c920d6fd)
- update the config schema [`1cc13d6`](https://github.com/ljharb/repo-report/commit/1cc13d63e33026a23dd44c0753250b835412201b)
- [Tests] do not fail fast [`586851a`](https://github.com/ljharb/repo-report/commit/586851a18d75c97ab1e7d839d6aa1c2a1e186f2c)
- [Deps] update `yargs` [`cd56a39`](https://github.com/ljharb/repo-report/commit/cd56a3926cd5fbdb1b5c7321d981b17ba5884149)
- update test [`b4e87be`](https://github.com/ljharb/repo-report/commit/b4e87be7f835726e463c2b56bac3b9e59078ae9e)
- update packagejson [`9c7485f`](https://github.com/ljharb/repo-report/commit/9c7485f053d1aaa8388706038322480bd54df72f)
- Migrate to Yargs [`403042a`](https://github.com/ljharb/repo-report/commit/403042aa888b29d368058dfae8962372e6e23e2b)
- Remove and ignore lockfiles [`0d2d3d3`](https://github.com/ljharb/repo-report/commit/0d2d3d32b53920009f2fa0242703dc40a87b6040)
- Refactor code and improve detail command [`4b515f4`](https://github.com/ljharb/repo-report/commit/4b515f4fd982b170c7d0a0ee64f024480b278d2c)
- Update eslint config and format files [`84543e2`](https://github.com/ljharb/repo-report/commit/84543e22827b0e1021404511ad37b5bbff9c9dbd)
- update the test file run.test with the test suit [`b30d2b5`](https://github.com/ljharb/repo-report/commit/b30d2b51e2fc100d84c48e971f7dd6ad00afe153)
- define branch protection for protected branches command here and the commands options [`5ffdd61`](https://github.com/ljharb/repo-report/commit/5ffdd619917bea06ad81e149cedf1038f056ac4b)
- added options settings [`3a8d61c`](https://github.com/ljharb/repo-report/commit/3a8d61c7b638165c46a41d2e58bc303d2035f4da)
- Re-implement collapse logic [`d3e23ef`](https://github.com/ljharb/repo-report/commit/d3e23efe6c319b52eaf4da3215005e1852bd456d)
- Add noDiff, noHide and noCollapse flags to detail [`e8dd071`](https://github.com/ljharb/repo-report/commit/e8dd0710e4e0f59530c17feed0fcfe6e054ede7b)
- Add detail command [`d4861d7`](https://github.com/ljharb/repo-report/commit/d4861d708ae64318ea04edb3f70a7209f7b43373)
- add the unit test [`1a6d230`](https://github.com/ljharb/repo-report/commit/1a6d23090a519e744ddc1fd6c4bcc017301dc053)
- Initial commit [`dbc5760`](https://github.com/ljharb/repo-report/commit/dbc5760f3c8670a3cacb2dfdbce57f4acf94f65c)
- update the test for the commands [`d195786`](https://github.com/ljharb/repo-report/commit/d195786c0f3907b40c4a4c53cd5f8871537d8076)
- update mock file [`7a2fb54`](https://github.com/ljharb/repo-report/commit/7a2fb54f7be1b6e465b0b985ab2914015a9ccf00)
- add test for commands [`81ec7f5`](https://github.com/ljharb/repo-report/commit/81ec7f53d51e8984a3932eca54d4839f5f3a20dd)
- update test utils [`b60dbd8`](https://github.com/ljharb/repo-report/commit/b60dbd88aa82adf96b57b67ae4c89d78df2df30b)
- Add more metrics [`64e810a`](https://github.com/ljharb/repo-report/commit/64e810ab9ac6529ecc42d13d9f160b44c4311591)
- update mock [`d55ab79`](https://github.com/ljharb/repo-report/commit/d55ab79f63f6d2e8ebf35ac5790ca4bdeaefbc4d)
- Update Metrics [`067fa5b`](https://github.com/ljharb/repo-report/commit/067fa5b1fecbf0463ac0317edc9bef5ff926f30f)
- update config validation [`7ec8e29`](https://github.com/ljharb/repo-report/commit/7ec8e29badbba64e9506a6eefffc9c64b33fa7ab)
- update mock [`7314e66`](https://github.com/ljharb/repo-report/commit/7314e66a806ae9fe3c4e24194d0403fe461b77b8)
- add common methods among the command defintion files here [`e933350`](https://github.com/ljharb/repo-report/commit/e933350a294212acf697167420378bbde93336e4)
- update package json [`d68937a`](https://github.com/ljharb/repo-report/commit/d68937a22bb878cfbcf293c99f98818e2c096b18)
- sort is case insensitive [`8228535`](https://github.com/ljharb/repo-report/commit/822853587d9f366c03b50e0aa9f2b8d6d6454ea0)
- Add fields that aren't printed but used in groupBy [`1d6c4f9`](https://github.com/ljharb/repo-report/commit/1d6c4f9779d46b5bd650029e5e9167328f58cb08)
- Convert spaces to tabs [`c414236`](https://github.com/ljharb/repo-report/commit/c414236ad9c056f33c95980f5bc2c4fdc32b3c2e)
- added alphabetical sort [`8ee89dc`](https://github.com/ljharb/repo-report/commit/8ee89dc5d3ac8d556ef671eeb8147585f0fdd94d)
- Add fallback error message for pr-status [`a7241b7`](https://github.com/ljharb/repo-report/commit/a7241b76fb2e47e57de7ca3647d787ffb943b1e0)
- validate valide values for defaultView [`bc4e305`](https://github.com/ljharb/repo-report/commit/bc4e305e2d2dcad65b52bf4db92ec9634cea41a8)
- include schema in the repository [`50f9688`](https://github.com/ljharb/repo-report/commit/50f9688bef3dd8923bb65b8c10455534612a34a4)
- removed [`19386fc`](https://github.com/ljharb/repo-report/commit/19386fcfe4be56b59258f5a5edda7cbd30e80b88)
- update mock [`1d7b1a5`](https://github.com/ljharb/repo-report/commit/1d7b1a5d3cf1af72e6bf2f30666dd8c1e011fad8)
- Refactor pr-status [`ff20e0f`](https://github.com/ljharb/repo-report/commit/ff20e0f6ca00736568b3710292b0cd496ce8854d)
- update variable declarations across command files [`f45d74b`](https://github.com/ljharb/repo-report/commit/f45d74bb22f11dd89eaa291f85f096b8859198cc)
- update the table name [`50f632b`](https://github.com/ljharb/repo-report/commit/50f632bc3498d37b0421132a2256fcdedd95285c)
- update the test utils with the stdout [`4d5db55`](https://github.com/ljharb/repo-report/commit/4d5db5579aedcd02083aa7eba30c4a5cd54b4d4f)
- update the information displayed for the branch protection [`69d8137`](https://github.com/ljharb/repo-report/commit/69d8137e95293578acd0f4f7ee83f06204db9305)
- fix linting [`45bff82`](https://github.com/ljharb/repo-report/commit/45bff823cdbb5c5e59ea5acbdfb6b40e0ac90233)
- Add code suggestions [`a398d87`](https://github.com/ljharb/repo-report/commit/a398d873451520724ef054388be52ebc53d193b2)
- update run with branch protection command [`669f96f`](https://github.com/ljharb/repo-report/commit/669f96fb0f2dda81f8ddcf68a5cad4e78f03a5de)
- move coommon methods in list to utils [`9027c33`](https://github.com/ljharb/repo-report/commit/9027c33cc70e84f36bcd78e7a9dbbacbf0657ec1)
- move coommon methods to utils [`3a7158c`](https://github.com/ljharb/repo-report/commit/3a7158c5e0ac0ef6b820ae1cbbb162593d9cc5c4)
- Fix branchProtection [`73458b1`](https://github.com/ljharb/repo-report/commit/73458b1db2d4ff6c86bf0c6dea43ee8d11f10ccf)
- remove checks for github token in the command implementation [`fcc0bcc`](https://github.com/ljharb/repo-report/commit/fcc0bcc66f6d942de11f9570e391146cc192fcb3)
- Fix linting errors [`e84d756`](https://github.com/ljharb/repo-report/commit/e84d7562e32792e6350c2ca59ec2bed18d3c02e7)
- change config path [`3f54745`](https://github.com/ljharb/repo-report/commit/3f547457ecc131b40bdbaca7f23c78e0a7ceaeb0)
- update file location of the config file in the folder [`43e330d`](https://github.com/ljharb/repo-report/commit/43e330d08aa70bd7134dfa4daa8af3cc6ad37f29)
- add config file [`23d96a5`](https://github.com/ljharb/repo-report/commit/23d96a5e05d1b457da7662fc01ce0a4b7a0d040b)
- Apply suggestions from code review [`5ea4363`](https://github.com/ljharb/repo-report/commit/5ea4363c9f16c9bef39d55c0c869006ef14a021f)
- Update README.md [`77ca5b4`](https://github.com/ljharb/repo-report/commit/77ca5b4bd0c2c230013c2fd4bcd17cbdef601480)
- update  run test [`5c086c2`](https://github.com/ljharb/repo-report/commit/5c086c25ae67083cc8a58364348138094766f286)
- add name with owner [`33a2583`](https://github.com/ljharb/repo-report/commit/33a258393f5453afcfd9410db6f918e1cf70c489)
- upate test utils [`5c32c02`](https://github.com/ljharb/repo-report/commit/5c32c026f73992f24bbc034baa1d3a4111de62c2)
- update schema with custom format for the defaultView [`d2bf9d8`](https://github.com/ljharb/repo-report/commit/d2bf9d8cd62256405422cf889ab7749b29c3031e)
- added Jordan's quick changes [`f121391`](https://github.com/ljharb/repo-report/commit/f12139150c229059cef86ca607c2e51143a46fbe)
- Update eslint to latest node [`d5ad900`](https://github.com/ljharb/repo-report/commit/d5ad9002442504d69fe5393b89eafd1e251c58b5)
- update command globally with validations for the user token [`fb0dc33`](https://github.com/ljharb/repo-report/commit/fb0dc3375d01de6f436c13c1c8e8253b8352d406)
- add condition to throw error [`95ca818`](https://github.com/ljharb/repo-report/commit/95ca818f125ee4b73b5bb85a8715f467f647a6e9)
- Update eslint config [`2970fa1`](https://github.com/ljharb/repo-report/commit/2970fa1f1ae673a91cad60650b5b099198867852)
- update mock [`9c2589f`](https://github.com/ljharb/repo-report/commit/9c2589f041b29c4d4e068725280bcf2414b4378b)
- Remove token validation within command [`8324a96`](https://github.com/ljharb/repo-report/commit/8324a96c1b334f8fbcb15abab7d8a610ca5aa293)
- Update README.md [`ec30089`](https://github.com/ljharb/repo-report/commit/ec300891a6ad981b23651349cfb2da123aea2420)
- Add files to bin/ [`e05a38c`](https://github.com/ljharb/repo-report/commit/e05a38c89f77b8f1d5506c6868b6aa590c6d390d)
- update the packagejson [`873f287`](https://github.com/ljharb/repo-report/commit/873f287cbcf8f0c702e84ee73e58ef1eb301e4af)
- Apply suggestions from code review [`d15dd4c`](https://github.com/ljharb/repo-report/commit/d15dd4c28039873342376142a5d6718bf470b203)
- Update src/commands/branch-protection.js [`887a9fb`](https://github.com/ljharb/repo-report/commit/887a9fb07ee0c812120fa1169dcb99a7df23b2d8)
- update error message in schema file [`b14386d`](https://github.com/ljharb/repo-report/commit/b14386d1a7bcc01e6717e6e4d57d7538664f8eae)
- Fix API points calculatoin [`8081808`](https://github.com/ljharb/repo-report/commit/8081808da25f820d1f0328d994a20e3117cd71db)
- update mock [`79ea879`](https://github.com/ljharb/repo-report/commit/79ea87982c7f729478bbbef6ab59ec757eaab0f0)
- Remove duplicate createdAt and add updatedAt, pushedAt [`814f6f7`](https://github.com/ljharb/repo-report/commit/814f6f75aa769049aed086bc77d191070db34561)
- imporove error message displayed to user [`e269fb9`](https://github.com/ljharb/repo-report/commit/e269fb9707e564e3ace0ac3b8fd53ae84e8c41f7)
- Fix linting errors [`d92f851`](https://github.com/ljharb/repo-report/commit/d92f8519f8bca5079d1dbae915448d5529a8e271)
- Fix argv uninitialised error [`13ddf8a`](https://github.com/ljharb/repo-report/commit/13ddf8ae6095af4a40e2af92bea8f450fa2e7d21)
- Lint code [`8c88418`](https://github.com/ljharb/repo-report/commit/8c88418c7fd56ab956776bde305ae564f00713c5)
- Update package.json [`073d522`](https://github.com/ljharb/repo-report/commit/073d52218c583d2952c1f534f927e430bb14b741)
- update package.json with joi [`50cac54`](https://github.com/ljharb/repo-report/commit/50cac54d9f4f97d22efa17a6eb86dd66ccdb05a0)
- Lint code [`432abeb`](https://github.com/ljharb/repo-report/commit/432abeb91789921bcaddc22a1d56a729ccf4e5db)
- throw a string instead of an error instance [`f10f43d`](https://github.com/ljharb/repo-report/commit/f10f43d283fd8d2ca27281f59283f000df8fe915)
- Update package.json [`ab76e2c`](https://github.com/ljharb/repo-report/commit/ab76e2c9f78887c7e0a5116f9b2a96f8f33bece5)
- update license to be string or null [`b06e7c2`](https://github.com/ljharb/repo-report/commit/b06e7c2dd50f3afb8db754fbf46a9aed7b8dee8a)
- update mock [`28c44a6`](https://github.com/ljharb/repo-report/commit/28c44a65f5ae4266ca24044d53c7c40684514b99)
- update error message thrown [`4b4ddf8`](https://github.com/ljharb/repo-report/commit/4b4ddf84f41f46772e0ce60a96b17b313fa11ad8)
- add code suggestions [`95ecb92`](https://github.com/ljharb/repo-report/commit/95ecb925005cc07aa6de3567122a521a84cf94e6)
- Replace ternary with optional chaining [`7f8da98`](https://github.com/ljharb/repo-report/commit/7f8da9822768047d8b4e34da398438823e624372)
- Fix typo [`e681d27`](https://github.com/ljharb/repo-report/commit/e681d27195582da7da5fe6c4f00aa7aee9262032)
- Update src/commands/detail.js [`11e5bf3`](https://github.com/ljharb/repo-report/commit/11e5bf386b92e4197f65ee5749dbbb67176aed71)
- remove default value for global in check [`fa5a22d`](https://github.com/ljharb/repo-report/commit/fa5a22d0b90a975c59fda9f3faf1b635627acfcf)
- hide token from help output and remove masking of value [`77818c7`](https://github.com/ljharb/repo-report/commit/77818c71d72345594b4ca8207b9a941733a46141)
- mask token [`96c6e1c`](https://github.com/ljharb/repo-report/commit/96c6e1cc2568b3c9b72597ec3574623f2aaa3889)
- hide the key [`12d4566`](https://github.com/ljharb/repo-report/commit/12d45662126191b9f80928ca761e1e5b426e3b69)
- Fix linting errors [`976933b`](https://github.com/ljharb/repo-report/commit/976933bbb48d0b8619f7e01a745b4e1d68cd3bbb)
- [Fix] Add info symbol (ℹ) [`e0c7ba0`](https://github.com/ljharb/repo-report/commit/e0c7ba06bec87abdf1cca2b07398078c07199f16)
- add octokit fixture [`89498e3`](https://github.com/ljharb/repo-report/commit/89498e3f8418d6947253d805c866477db74f7e20)
- update fixtures [`a3ded6f`](https://github.com/ljharb/repo-report/commit/a3ded6f82fc2637e5606e9493a663edd10ad4ff8)
- remove comments [`2f5778b`](https://github.com/ljharb/repo-report/commit/2f5778b12fcf5d8717e2cbeeb15dfd54e69994ab)
- update list by removing log symbols [`e841f53`](https://github.com/ljharb/repo-report/commit/e841f53fd65b301838379ec60057451969b909ec)
- remove logs [`68e092d`](https://github.com/ljharb/repo-report/commit/68e092de3074e380b5b21d8746ec5d7239fc08a5)
- Update README.md [`543ec9a`](https://github.com/ljharb/repo-report/commit/543ec9af58c107468e1be94590f8ef18f6a16f23)
